Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Class AveragerCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.analysis.AveragerCImpl

public class AveragerCImpl
extends PhaseCImpl
implements MessageProbeC, MessageProbeS, AveragerS, AveragerC

Averages together data, gives the data to whomever asks.. Averager objects read a value (via a MessageProbe) from a collection (typically a list) of objects and collect statistics over them.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`AveragerCImpl()`
`AveragerCImpl(Averager nextPhase)`

Methods implemented by this class for interface swarm.objectbase.MessageProbeC
`create$setProbedSelector, setProbedMethodName, setProbedSelector`

Methods implemented by this class for interface swarm.objectbase.MessageProbeS
`setHideResult`

Methods implemented by this class for interface swarm.analysis.AveragerC
`setCollection, setWidth`

Methods implemented by this class for interface swarm.objectbase.ProbeC
`setProbedClass, setProbedObject`

Methods implemented by this class for interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AveragerCImpl

    public AveragerCImpl(Averager nextPhase)

### AveragerCImpl

    public AveragerCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD